Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class EjbPortComponentMetaData

    java.lang.Object
      org.jboss.metadata.EjbPortComponentMetaData

All Implemented Interfaces:
  Serializable

public class EjbPortComponentMetaData
extends Object
implements Serializable

The metdata data for session/port-component element from jboss.xml

Version:
  $Revision: 1.1.4.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`EjbPortComponentMetaData(SessionMetaData sessionMetaData)`

Method Summary
`String` | `getAuthMethod()`
`String` | `getPortComponentName()`
`String` | `getPortComponentURI()`
`String` | `getTransportGuarantee()`
`String` | `getURLPattern()`
`void` | `importJBossXml(Element element)` Parse the port-component contents
`void` | `importStandardXml(Element element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbPortComponentMetaData

    public EjbPortComponentMetaData(SessionMetaData sessionMetaData)

Method Detail

### getPortComponentName

    public String getPortComponentName()

### getPortComponentURI

    public String getPortComponentURI()

### getURLPattern

    public String getURLPattern()

### getAuthMethod

    public String getAuthMethod()

### getTransportGuarantee

    public String getTransportGuarantee()

### importStandardXml

    public void importStandardXml(Element element)
                           throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### importJBossXml

    public void importJBossXml(Element element)
                        throws org.jboss.deployment.DeploymentException

  Parse the port-component contents

  Parameters:
    `element` -
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.